var mongoose = require('mongoose')
  , Schema = mongoose.Schema
  , ObjectId = Schema.ObjectId
  , UserSchema        = new Schema
  ;

UserSchema.add({
  email:           { type: String,   index: true },
  password:        { type: String    },
  activated:       { type: Boolean   }
});
mongoose.model("User", UserSchema);

['User'].forEach(function (m) {
  module.exports[m] = mongoose.model(m);
  module.exports[m].modelName = m;
});
